Skip to content
Reviactyl v26 has been released!
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Startup

Returns the startup information for the server including all the variables

get
Path parameters
serverintegerRequired

The server ID

Responses
200Success
application/json
itemsanyOptional
get/servers/{server}/startup
GET /api/client/servers/{server}/startup HTTP/1.1
Host: reviactyl.test
Accept: */*
[]

Updates a single variable for a server

put
Path parameters
serverintegerRequired

The server ID

Body
keystringRequired
valuestringRequired
Responses
200Success
application/json
itemsanyOptional
put/servers/{server}/startup/variable
PUT /api/client/servers/{server}/startup/variable HTTP/1.1
Host: reviactyl.test
Content-Type: application/json
Accept: */*
Content-Length: 29

{
  "key": "text",
  "value": "text"
}
[]

Last updated

Was this helpful?